# $Revision: 1.17 $, $Date: 2004/08/26 19:31:38 $

%define		_pre pre2
Summary:	Katalog is set of three bash scripts to manipulate CD catalogs
Summary(pl):	Katalog jest zbiorem trzech skryptw basha sucych do manipulacji katalogami CD
Name:		katalog
Version:	1.10
Release:	0.%{_pre}.1
Epoch:		1
License:	GPL
Group:		Applications/Archiving
Source0:	http://www.ceti.pl/eaquer/%{name}/%{name}-%{version}%{_pre}.tar.gz
# Source0-md5:	bd8f3ff80c7d512818340596a87665b2
URL:		http://www.ceti.pl/eaquer/
Requires:	sed
Requires:	findutils
Requires:	grep
Requires:	gzip
Requires:	bash
Requires:	textutils
Requires:	sh-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Katalog is set of three bash scripts to manipulate CD catalogs:
 - katadd - It makes list of files at CD and writes it to a file
 - katsch - It is used to search for an regexp in bases
 - katls - It gives you a list of currently installed databases

%description -l pl
Katalog jest zbiorem trzech skryptw basha sucych do manipulacji
katalogami CD:
 - katadd - Tworzy list plikw znajdujcych si na CD i zapisuje j do
   pliku
 - katsch - Jest uywany do wyszukiwania wyrae regularnych w bazach
 - katls - Tworzy list zainstalowanych baz danych

%prep
%setup  -q -n %{name}-%{version}%{_pre}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_bindir},%{_sysconfdir}}

install kat{add,ls,sch} $RPM_BUILD_ROOT%{_bindir}
install katalogrc $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_datadir}/%{name} 
%doc README CHANGELOG katalogrc cgi/*
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %{_sysconfdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: katalog.spec,v $
Revision 1.17  2004/08/26 19:31:38  kolodko
- up to pre2

Revision 1.16  2003/05/28 12:59:16  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:49:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/31 23:07:46  grzegol
- updated to 1.10pre1
- updated %%files (added cgi script to %%doc)

Revision 1.13  2002/08/20 14:04:33  grzegol
- updated to 1.9

Revision 1.12  2002/07/23 22:38:27  grzegol
- updated to 1.8c

Revision 1.11  2002/06/28 22:16:00  grzegol
updated to 1.8b

Revision 1.10  2002/06/17 11:19:28  grzegol
- updated to 1.8
STBR

Revision 1.9  2002/05/26 16:20:48  kloczek
- cosmetics.

Revision 1.8  2002/05/26 15:53:54  grzegol
- updated to 1.7b
- new %%doc
- changed URL and Source0 to new one
STBR

Revision 1.7  2002/05/13 16:27:09  grzegol
- added %%config(noreplace) for config file

Revision 1.6  2002/04/25 16:40:24  arturs
fixed a small typo

Revision 1.5  2002/02/23 02:59:09  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:06  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/12 01:16:59  kloczek
- adapterized.

Revision 1.2  2002/02/10 16:13:16  grzegol
- updated to 1.7
- removed katalog-PLD.patch (outdated)
- changed URL
STBR

Revision 1.1  2002/02/03 18:41:16  grzegol
- initial release

